Bug 220437 - gcl: lacking readline support
gcl: lacking readline support
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gcl (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-21 05:02 EST by Michel Van den Bergh
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-21 14:02:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Van den Bergh 2006-12-21 05:02:13 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Start maxima
2.
3.
  
Actual results:
No readline support

Expected results:
Readline support

Additional info:

I also have a computer with fc4. On that computer maxima does have readline
support.

This is the login banner:
Maxima 5.10.0 http://maxima.sourceforge.net
Using Lisp GNU Common Lisp (GCL) GCL 2.6.7 (aka GCL)
Comment 1 Rex Dieter 2006-12-21 07:54:20 EST
Actually, it's gcl that is lacking it, reassigning.
Comment 2 Rex Dieter 2006-12-21 07:57:39 EST
From maxima mailing list:

> Does GCL advertise readline? Here's what I see when I start gcl:
> $ gcl
> GCL (GNU Common Lisp)  2.6.7 ANSI    Sep  7 2005 08:48:20
> Source License: LGPL(gcl,gmp), GPL(unexec,bfd)
> Binary License:  GPL due to GPL'ed components: (READLINE BFD UNEXEC)

I just tried gcl-2.6.7-12.fc6 and get (only)
Binary License:  GPL due to GPL'ed components: (BFD UNEXEC)
Comment 3 Michel Van den Bergh 2006-12-21 09:02:39 EST
I get precisely the same as you. On fc4 I get 

GCL (GNU Common Lisp)  2.6.7 ANSI    May 31 2006 04:48:55
Source License: LGPL(gcl,gmp), GPL(unexec,bfd)
Binary License:  GPL due to GPL'ed components: (READLINE BFD UNEXEC)

On fc6 I get

GCL (GNU Common Lisp)  2.6.7 ANSI    Aug 27 2006 21:15:05
Source License: LGPL(gcl,gmp), GPL(unexec,bfd)
Binary License:  GPL due to GPL'ed components: (BFD UNEXEC)

So gcl on fc6 was probably accidentally built without readline support.
Comment 4 Gérard Milmeister 2006-12-21 14:02:11 EST
Annoying dependencies of readline.
Should be fixed in the next build.
Comment 5 Rex Dieter 2006-12-21 14:47:58 EST
Which dep was missing (maybe a bug against readline-devel is in order)?
Comment 6 Gérard Milmeister 2006-12-21 14:58:35 EST
I think, that readline needs either termcap or ncurses but has no dependencies
on it. configure scripts need to check explicitly for one of them, or so it
seems. There was a small bug in the gcl configure script where only -lreadline
without -lncurses was specified.

Note You need to log in before you can comment on or make changes to this bug.